import { html as a } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as n } from "./PieIconComponent.js";
import { safeCustomElement as g } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, m = Object.getOwnPropertyDescriptor, h = (l, e, r, o) => {
  for (var t = o > 1 ? void 0 : o ? m(e, r) : e, i = l.length - 1, s; i >= 0; i--)
    (s = l[i]) && (t = (o ? s(e, r, t) : s(t)) || t);
  return o && t && f(e, r, t), t;
};
let p = class extends n {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--laptopHighlight", this.class = "c-pieIcon c-pieIcon--laptopHighlight", this.name = "IconLaptopHighlight";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--laptopHighlight"><path d="M13.031 9.094V4.5A1.54 1.54 0 0 0 11.5 2.969h-7A1.54 1.54 0 0 0 2.969 4.5v4.594h-1.75V11.5a1.54 1.54 0 0 0 1.531 1.531h10.5a1.54 1.54 0 0 0 1.531-1.531V9.094h-1.75ZM4.281 4.5a.219.219 0 0 1 .219-.219h7a.219.219 0 0 1 .219.219v4.594H4.28V4.5Zm9.188 7a.219.219 0 0 1-.219.219H2.75a.219.219 0 0 1-.219-.219v-1.094H13.47V11.5Z"></path></svg>`;
  }
};
h([
  c({ type: String, reflect: !0 })
], p.prototype, "size", 2);
h([
  c({ type: String, reflect: !0 })
], p.prototype, "class", 2);
p = h([
  g("icon-laptop-highlight")
], p);
export {
  p as IconLaptopHighlight
};
